Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030993
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2015-09-30 17:262015-11-23 21:16
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision241c38dab7ce
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030993: It is not possible to define a preference as default value when column has a default defined in ad_column

DescriptionRight now it is possible to default value by using a preference defined with attribute using the column name, and the default value you want on the value field.

That works properly whenever the column for that field has not a default value in AD, but it case it has preference is not taken into account.
Steps To Reproduce-Define a Preference with.
  * attribute='M_PRODUCT_CATEGORY_ID' (Note M_Product.M_Product_Category_ID has a default value in Table > Column)
  * value=ID_OF_ONE_EXISTING_CATEGORY (different that the first one on the dropdown)

-Select the visible at fields to apply to your client and the product window
-Logout and login
-Access to product window
-The product category fields has not got selected as default the category you defined. The default value is the first element of the dropdown.
Proposed SolutionDefault values defined by preferences should prevail over the ones defined at column level.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00309483.0PR16Q1 closedalostale auxiliary input used to default a FK doesn't display FK's value identifier 
depends on defect 0031038 closedalostale API change: default value defined as preference will prevail over default defined in column 
related to defect 0027584 closedinigosanchez Wrong value is taken from context when session variable and context field name are the same 

-  Notes
(0080809)
hgbot (developer)
2015-10-05 09:58

Repository: erp/devel/pi
Changeset: 241c38dab7cedb1e44d3d130d73315dcb7caf479
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Oct 05 09:57:41 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/241c38dab7cedb1e44d3d130d73315dcb7caf479 [^]

fixed bug 30993: can't define default with preference if column has default

  When a column had a default value, it was not possible to overwrite it using a
  preference. This was possible if the column had not default value.

  This behavior has been changed: now default value defined at preference prevails
  over the one defined at column level.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/UIDefinition.java
---
(0081253)
caristu (developer)
2015-10-23 11:31

Code reviewed and tested in pi@de5117f7de98
(0082107)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-30 17:26 egoitz New Issue
2015-09-30 17:26 egoitz Assigned To => platform
2015-09-30 17:26 egoitz Modules => Core
2015-09-30 17:26 egoitz Triggers an Emergency Pack => No
2015-10-05 09:40 alostale Summary It is not possible to define a preference as default value for a column with reference tabledir => It is not possible to define a preference as default value when column has a default defined in ad_column
2015-10-05 09:40 alostale Description Updated View Revisions
2015-10-05 09:40 alostale Steps to Reproduce Updated View Revisions
2015-10-05 09:40 alostale Proposed Solution updated
2015-10-05 09:51 alostale Relationship added depends on 0031038
2015-10-05 09:54 alostale Assigned To platform => alostale
2015-10-05 09:54 alostale Review Assigned To => caristu
2015-10-05 09:55 alostale Relationship added related to 0030948
2015-10-05 09:58 hgbot Checkin
2015-10-05 09:58 hgbot Note Added: 0080809
2015-10-05 09:58 hgbot Status new => resolved
2015-10-05 09:58 hgbot Resolution open => fixed
2015-10-05 09:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/241c38dab7cedb1e44d3d130d73315dcb7caf479 [^]
2015-10-23 11:05 caristu Fixed in Version => 3.0PR16Q1
2015-10-23 11:05 caristu Target Version => 3.0PR16Q1
2015-10-23 11:31 caristu Note Added: 0081253
2015-10-23 11:31 caristu Status resolved => closed
2015-11-06 11:47 alostale Relationship added related to 0027584
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082107


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker